open-build-service (2.10.18-0+22.1) unstable; urgency=medium

  * version number update by debtransform

 -- debtransform <build@opensuse.org>  Fri, 20 Oct 2023 14:11:57 +0000

open-build-service (2.10.18-1) unstable; urgency=medium

  * New upstream release 2.10.18

 -- Jeremy Jacque <jeremy.jacque@algolia.com>  Fri, 25 Nov 2022 12:41:23 -0300

open-build-service (2.10.10-2) unstable; urgency=medium

  * Add missing obs-sphinx service
  * Fix logrotate: add service restart when needed
  * make db host, name and username variables in database yaml config
    template

 -- Jeremy Jacque <jeremy.jacque@algolia.com>  Mon, 31 Jan 2022 12:41:23 -0300

open-build-service (2.10.10-1) unstable; urgency=medium

  * New upstream release version 2.10.10

 -- Jeremy Jacque <jeremy.jacque@algolia.com>  Wed, 01 Jul 2021 10:41:23 -0300

open-build-service (2.9.4-3) unstable; urgency=medium

  [ Lucas Kanashiro ]
  * Add patch to publish Debian upstream tarball signatures to the
    repositories
  * Add patch to publish Ubuntu ddeb files to the repositories
  * Move DoD projects example configs to obs-api package, instead of obs-server
  * Add some autopkgtests test cases
  * Fix obsapidelayed.service.
    Split the obsapidelayed systemd unit file into others unit files
  * Add patch to fix the database migration.
    Limit the size of a VARCHAR to not extrapolate the number of bytes allocated.
  [ Andrew Lee (李健秋) ]
  * Move permission adjustment from rake-tasks.sh into obs-api.postinst
    script and fix permissions for upgrade. (Closes: #926198)

  [ Lucas Kanashiro ]
  * debian/NEWS: add new entry to notify users to check the default Passenger
    user when upgrading.
  * debian/rake-tasks.sh: update migration task to restart all OBS related
    services.
  * debian/README.Debian: add instructions on how to upgrade an exitent instance
  * debian/rake-tasks.sh: stop all running processes from the old installation
  * debian/obs-api.postrm: stop obsapi systemd services
  * debian/osb-api.prerm: stop the new obsapi systemd unit files

  [ Utkarsh Gupta ]
  * Add salsa-ci.yml

  [ Pirate Praveen ]
  * Switch dependency: ruby-parser -> ruby-ruby-parser (Closes: #956504)
  * Relax dependecy on responders in src/api/Gemfile (Closes: #956505)

 -- Lucas Kanashiro <kanashiro@debian.org>  Mon, 13 Apr 2020 15:30:23 -0300

open-build-service (2.9.4-2) unstable; urgency=medium

  * Make obs-api runtime depends on ruby-coffee-rails

 -- Lucas Kanashiro <kanashiro@debian.org>  Mon, 18 Mar 2019 16:47:17 -0300

open-build-service (2.9.4-1) unstable; urgency=medium

  [ Dan Nicholson ]
  * debian/control: Add Vcs-* links.

  [ Andrew Lee (李健秋) ]
  * New upstream release version 2.9.4. Closes: #918402, #903797, #903796.
    Fixes: CVE-2018-12467, CVE-2018-7689, CVE-2018-7688.
  * Refreshed use-ruby2.5.patch.
  * Refresh gemfile-tweaks.patch. Dropped embedded gem.
  * Drop drop-test-and-development-depends.patch.
  * Drop drop-ruby-hoptoad-notifier.patch.
  * Drop rails-4-gem-assets.patch.
  * Refreshed FHS-path.patch.
  * Refreshed and rename to do-not-install-fillups-and-initscripts.patch.
  * Drop Rakefile-fix.patch.
  * Drop fix-privacy-breach-piwik.patch.
  * Refreshed jquery-ui.patch.
  * Refreshed Do-not-ship-database.yml.patch.
  * Drop localgem.patch.
  * Drop CVE-2017-5188.patch.
  * Drop fix-kiwitree-symlink.patch.
  * Drop handle-links-properly.patch.
  * Drop dist-Use-2.7-packages-for-testing.patch.
  * debian/control: build-deps on rails (>= 5.1.1).
  * Drop airbrake, airbrake-ruby and it's related code.
  * Drop peek-dalli and peek-mysql2.
  * Adjust new build-deps.
  * Refresh gemfile-tweaks.patch.
  * Added do-not-run-rake-at-build-time.patch.
  * Added obsdeltastore.service file.
  * Install missing files.

  [ Lucas Kanashiro ]
  * debian/copyright: remove symlink from listed files
  * Drop debian/missing-sources
  * Remove the debian/localgem directory
  * Do not depend or recommend obsolete packages
  * Build depends on python instead of python-dev
  * Improve the obs-api package description
  * Use dh_missing to list missing files
  * Update config files copied to /etc
  * Call dh_install even overriding it
  * Add jquery.js missing source
  * Add patch to not allow one to load external JS in runtime
  * Runtime depends on libjs-html5shiv
  * Do not use recursive chown
  * Fix the script's perl interpreter path
  * Make obs-api runtime depends on adduser
  * Add some basic autopkgtests
  * debian/obs-api.postinst: enable obs apache2 site config
  * Use deb-systemd-invoke instead of invoke-rc.d
  * d/obs-server.postrm: check if group exists before remove it
  * Do not move database.yml.example to /etc

  [ Andrew Lee (李健秋) ]
  * No signd support by default in Debian OBS.
  * Adjust permissions for obs 2.9 rails app.

  [ Lucas Kanashiro ]
  * Add another basic autopkgtest
  * Add my self to Uploaders
  * Add patch fixing CVE-2018-12479. Closes: #911797
  * Do not enable obsworker service when it is installed
  * Do not install empty directory in obs-server package
  * Do not install empty directory in obs-api package
  * Declare compliance with Debian Policy 4.3.0
  * Add Vcs-{Git,Browser} fields

  [ Lucas Kanashiro ]
  * Update debian/changelog
  * debian/changelog: add missing entries

  [ Andrew Lee (李健秋) ]
  * Refine changlog to have Dan Nicholson's change on top

  [ Lucas Kanashiro ]
  * Remove duplicated VCS links
  * d/rake-tasks.sh: do not chown non existent file
  * d/patch/CVE-2018-12479.patch: use APIException
  * d/rake-tasks.sh: run ts:index task using production env

  [ Andrew Lee (李健秋) ]
  * d/rake-tasks.sh: touch the file if it's not exist yet for chown
    command.
  * Refreshed obsapidelayed init script changes from upstream.
  * Fix minor code style mistake in obsapidelayed init script.
  * Clean up mistake in refreshed obsapidelayed init script.
  * debian/control: obs-worker depends on tar. (Closes:#917427)
  * Added systemd obsapidelayed.service file.
  * Added systemd obsworker@.service file. (Closes:#853161)
  * debian/README.Debian: added how to run worker with systemd.
  * Added versioned depends on tar to avoid lintien error.
  * debian/obs-api.postinst: add a fallback hostname to make it installs
    in autopkgtest.

 -- Andrew Lee (李健秋) <ajqlee@debian.org>  Thu, 07 Feb 2019 16:51:58 +0800

open-build-service (2.7.4-3) unstable; urgency=medium

  [ Héctor Orón Martínez ]
  * Embed sanitize 4.0.0 ruby gem to fix breakeage.
    - add obs-api runtime depends on ruby-nokogumbo and ruby-crass.
  * worker: document enable switch
  * worker: use /var/lib/obsworker as OBS_RUN_DIR

  [ Andrew Lee (李健秋) ]
  * debian/gbp.conf: adjust gbp configuration file.
  * obs-worker: depends on fdisk | util-linux (<< 2.29.2-3~). (Closes:
    #872093)
  * CVE-2017-5188.patch: Apply upstream fixes for
    CVE-2017-5188.(Closes:#900133)
  * fix-kiwitree-symlink.patch: cherry-pick bad code fix from upstream.
  * Handle links properly when doing backend build operations.
  * Make passenger rubyapp runs as obsapi user.
  * Update correct group permission for rb_sysopen.

  [ Lucas Kanashiro ]
  * Remove patches related to ruby2.3.
  * Add patch to use ruby provided by the system instead of ruby2.3.
    (Closes:#894778)

  [ Andrew Lee (李健秋) ]
  * Drop superseded dh-systemd with debhelper (>= 9.20160709).
  * Add missing fix-sphinx.patch into series file.

 -- Andrew Lee (李健秋) <ajqlee@debian.org>  Thu, 13 Sep 2018 15:00:41 +0800

open-build-service (2.7.4-2) unstable; urgency=medium

  * debian/obs-server.postinst: make sure multi-user.target.wants
    directory created before creating symlink manually. (Closes:#870841)

 -- Andrew Lee (李健秋) <ajqlee@debian.org>  Sun, 06 Aug 2017 08:03:37 +0800

open-build-service (2.7.4-1) unstable; urgency=medium

  * Merging upstream version 2.7.4.
  * debian/control: Drop memcached depends from obs-server.
  * debian/control: make obs-server recommends: on gnupg2. (Closes:#859711)
  * debian/control: make obs-server recommends: on dpkg-dev.
    (Closes:#855828)
  * Refreshed gemfile-tweaks.patch. (Closes:#869051)
  * Refreshed drop-ruby-hoptoad-notifier.patch.
  * obs-utils: ship obs_mirror_project.

 -- Andrew Lee (李健秋) <ajqlee@debian.org>  Fri, 04 Aug 2017 03:40:11 +0800

open-build-service (2.7.1-10) unstable; urgency=medium

  * Fix logrotate, refine postrm, prerm script to ensure config and log
    files removed after purged. (Closes:#851356)
  * Fixed obs-worker failed to start issue. (Closes: #851761)

 -- Andrew Lee (李健秋) <ajqlee@debian.org>  Thu, 26 Jan 2017 01:17:48 +0800

open-build-service (2.7.1-9) unstable; urgency=medium

  * obs-worker: drop slptool from depends as it's scheduled for removal
    from Debian. (Closes: #848855)
  * disable-slp.patch: do not use SLP in obs-serverconf as Debian drop
    slptool from archive. (Closes: #848855)
  * Added debian/NEWS.
  * drop ruby-interpreter from depends as it's not exist.
  * Set Architecture: all.
  * Drop breaks on obs-webui.

 -- Andrew Lee (李健秋) <ajqlee@debian.org>  Thu, 22 Dec 2016 14:35:54 +0800

open-build-service (2.7.1-8) unstable; urgency=medium

  * jquery-ui.patch: migrate jquery-ui-rails from 5.0.5 to 6.0.1.
    (Closes: #848510)
  * debian/control: build-deps on the metapackage default-mysql-*.
    (Closes: #848460)
  * Refine postinst script to avoid modifies files it has shipped. And
    also not fails during installation without setup database via
    dbconfig-common. (Closes: #847687)
  * Added README.Debian.

 -- Andrew Lee (李健秋) <ajqlee@debian.org>  Mon, 19 Dec 2016 15:19:40 +0800

open-build-service (2.7.1-7) unstable; urgency=medium

  [ Antonio Terceiro ]
  * remove myself from Uploaders:

  [ Andrew Lee (李健秋) ]
  * Run commands when purge instead of remove. (Closes: #847688)

 -- Andrew Lee (李健秋) <ajqlee@debian.org>  Thu, 15 Dec 2016 18:05:03 +0800

open-build-service (2.7.1-6) experimental; urgency=medium

  * Move log, tmp and config files out of /usr and creates links instead.

 -- Andrew Lee (李健秋) <ajqlee@debian.org>  Thu, 08 Dec 2016 19:13:53 +0800

open-build-service (2.7.1-5) experimental; urgency=medium

  * Adjust postrm and prerm scripts to remove users, group and data when
    user purged these packages.
  * debian/control: drop versioned depends.
  * debian/control: drop ruby-jquery-datatables-rails from depends.
  * Embedded ruby-jquery-datatables-rails 1.12.2 as local gem.
  * Drop jquery.ui.widget.patch. Update new path in jquery-ui.patch.

 -- Andrew Lee (李健秋) <ajqlee@debian.org>  Thu, 17 Nov 2016 03:58:15 +0800

open-build-service (2.7.1-4) experimental; urgency=medium

  * debian/control: move sphinxsearch deps from obs-server to obs-api as
    it's needed search function for the webui instead of backend server.
  * Fixed database.yml generatation while reinstall.
  * Move overview.html.TEMPLATE file from obs-server to obs-api.
  * debian/control: obs-server shouldn't depends on obs-api. It should be
    able to install independently.
  * Do not ship database.yml as it should generates from template.
  * debian/control: depends on default-mysql-client and recommends on
    default-mysql-server as the old package name has been obsoleted.
  * debian/control: added depends on lsb-base for init.d scripts calls lsb
    functions.
  * debian/obs-api.postrm: clean up api folder while purge.

 -- Andrew Lee (李健秋) <ajqlee@debian.org>  Mon, 24 Oct 2016 14:55:03 +0800

open-build-service (2.7.1-3) experimental; urgency=medium

  * jquery.ui.widget.patch: added missing jquery.ui.widget.
    (Closes: #839143, #839144)
  * missing-codemirror-js.patch: added missing
    codemirror/addons/mode/simple.js. (Closes: #839133)

 -- Andrew Lee (李健秋) <ajqlee@debian.org>  Thu, 20 Oct 2016 05:12:47 +0800

open-build-service (2.7.1-2) experimental; urgency=medium

  * Generate clockworkd.clock.output log file. (Closes:#839211)
  * debian/obs-api.postinst: set config/database.yml own by www-data.
    (Closes: #839163)
  * debian/obs-api.obsapidelayed.init: calls rake instead of rake.ruby2.3.
    (Closes: #839166)
  * debian/obs-api.postinst: set correct permission in tmp dir for
    delayed_job start up correctly. (Closes: #839174)
  * debian/obs-api.obsapidelayed.init: specific directory to API_ROOT for
    clockworkd to run. (Closes: #839219)
  * Apply fix-sphinx.patch: fix brackets in Makefile that prepare for sphinx
    to run.
  * debian/obs-worker.obsworker.default: update OBS_RUN_DIR.
  * debian/obs-worker.obsworker.init: set correct permission for
    obsworker to run.
  * debian/obs-api.postinst: drop duplicate pathfind function.
  * debian/obs-api.postinst: drop path in command.

 -- Andrew Lee (李健秋) <ajqlee@debian.org>  Fri, 30 Sep 2016 18:02:41 +0800

open-build-service (2.7.1-1) experimental; urgency=low

  * New upstream release. (Closes: #838022)

 -- Andrew Lee (李健秋) <ajqlee@debian.org>  Sat, 17 Sep 2016 06:54:06 +0800
